gnutls_x509_crl_init(3)

NAME
gnutls_x509_crl_init - This function initializes a gnutls_x509_crl_t structure

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_init(gnutls_x509_crl_t * crl);

ARGUMENTS

gnutls_x509_crl_t * crl
    The structure to be initialized

DESCRIPTION
This function will initialize a CRL structure. CRL stands for Certificate Revocation List. A revocation list usually contains lists of certificate serial numbers that have been revoked by an Authority. The revocation lists are always signed with the authority's private key. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.